# Generated by Django 4.0.10 on 2023-05-15 11:36

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('treatments', '0005_treatmenttype_color_treatmenttype_duration_and_more'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('treatments', '0007_alter_processingline_location'),
        ('artefacts', '0016_alter_prioritylevel_options_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='StabilizationMeasure',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(db_index=True, editable=False, null=True)),
                ('deleted_by_cascade', models.BooleanField(default=False, editable=False)),
                ('priority_order', models.IntegerField(blank=True, null=True, verbose_name='priority order')),
                ('timestamp_add', models.DateTimeField(auto_now_add=True, verbose_name='timestamp add')),
                ('timestamp_remove', models.DateTimeField(blank=True, null=True, verbose_name='timestamp remove')),
                ('artefact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='stabilization_measures', to='artefacts.artefact', verbose_name='artefact')),
                ('treatment_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='treatments.treatmenttype', verbose_name='treatment type')),
                ('status', models.CharField(blank=True, choices=[('finish', 'DONE'), ('in_treatment', 'IN PROGRESS')], max_length=12, null=True)),
                ('processing_line', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='treatments.processingline', verbose_name='processing line')),
                ('user_add', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='treatment_type_added', to=settings.AUTH_USER_MODEL, verbose_name='user add')),
                ('user_remove', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='treatment_type_removed', to=settings.AUTH_USER_MODEL, verbose_name='user remove')),
            ],
            options={
                'verbose_name': 'stabilization measure',
                'verbose_name_plural': 'stabilization measures',
                'ordering': ['priority_order'],
            },
        ),
    ]
